/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sdsimulator.runnable;

/**
 *
 * @author Miguel Herreros
 */
public interface ComponenteEjecutable {
    public ResultadoEjecucion run();
    public void               postRun();
    public boolean            completado();
    public void               reset();
    public int                getBloque();
    public void               setBloque(int bloque);
    public boolean            getPermitido();
    public void               setPermitido(boolean permiso);
    public int                getX();
    public int                getY();
}
